### Name: getActivePlot
### Title: Return the plotView object that corresponds to the active plot
### Aliases: getActivePlot getPlotByDev getPlotNumber getPlotDev
### Keywords: device

### ** Examples

  if (interactive())
  {
    createControlWindow()
    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests,"USArrests")
    # plotting the data should occur through Plot Data under 
    # the Display menu
    createView(type = "plotView", dataName = "USArrests", 
               plotType = "sPlotView", dfRows = 1:nrow(USArrests), 
               dfColumns = 1:2)  
    # x will be of type sPlotView
    x<-getActivePlot()
    print(class(x))
    print(colx(x))
    print(coly(x))
    createView(type = "plotView", dataName = "USArrests", 
               plotType = "sPlotView", dfRows = 1:nrow(USArrests), 
               dfColumns = 3:4)  
    x<-getActivePlot()
    print(colx(x))
    print(coly(x))
  }



