### Name: getPlotsFromViews
### Title: Get all View Objects of a Particular Class from the View List
### Aliases: getPlotsFromViews getSpreadFromViews
### Keywords: list

### ** Examples

  if (interactive())
  {
    createControlWindow()
    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests,"USArrests")
    # plotting the data should occur through Plot Data under 
    # the Display menu
    createView(type = "plotView", dataName = "USArrests", 
               plotType = "sPlotView", dfRows = 1:nrow(USArrests), 
               dfColumns = 1:2)  
    # creating a spreadsheet should occur through View Data under
    # the Display menu
    createView(type="spreadView",dataName="USArrests")

    curPlots<-getPlotsFromViews()
    curSpread<-getSpreadFromViews()
  }



