### Name: updateDFBysPlot
### Title: Determines values needed to initialize a gUpdateDataMessage
###   object if the current view is a scatterplot
### Aliases: updateDFBysPlot
### Keywords: manip

### ** Examples

  if (interactive())
  {
    createControlWindow()
    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests,"USArrests")
    # plotting the data should occur through Plot Data under 
    # the Display menu
    createView(type = "plotView", dataName = "USArrests", 
               plotType = "sPlotView", dfRows = 1:nrow(USArrests), 
               dfColumns = 1:2)  
    # now set the view mode
    setHighlightMode()

    # now click on a point on the plot and that will cause updateDFBysPlot
    # to be called - you can tell it was called because the data and
    # thus, the plot will change  
  }



